### Function

# GLib log_get_debug_enabled

since: 2.72

#### Declaration

    gboolean
    g_log_get_debug_enabled (
      void
    )

#### Description

Return whether debug output from the GLib logging system is enabled.

Note that this should not be used to conditionalise calls to `g_debug()` or other logging functions; it should only be used from `GLogWriterFunc` implementations.

Note also that the value of this does not depend on `G_MESSAGES_DEBUG`, nor `g_log_writer_default_set_debug_domains()`; see the docs for `g_log_set_debug_enabled()`.

Available since: 2.72

#### Return value

Type: `gboolean`

`TRUE` if debug output is enabled, `FALSE` otherwise.